Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd
Class TaskWaitEvent

    java.lang.Object
      org.jprocessunit.WaitEvent
          org.jprocessunit.addon.jpd.TaskWaitEvent

All Implemented Interfaces:
  ProcessEvent

    public class TaskWaitEvent

extends WaitEvent

JProcessUnit Wait Event used to wait for a particular WLI Work List task to be created.

Author:
  Reza Shafii

Constructor Summary
`TaskWaitEvent(TargetTaskInfo taskEventInfo)` The wait event is satisfied as soon as a single task matches the query.
`TaskWaitEvent(com.bea.wli.worklist.api.TaskSelector taskSelector)` Deprecated. Please use TaskWaitEvent(TaskQuery)

Method Summary
`void` | `setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)` The wait event is satisfied as soon as a single task matches the query.
`void` | `setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)` Deprecated. Please use setTaskQuery(TaskQuery)
`boolean` | `waitConditionSatisfied()` The wait condition is satisfied only when a task matching the taskSelector is found.

Methods inherited from class org.jprocessunit.WaitEvent
`assertEvent, setPollingInterval, setTimeOutValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskWaitEvent

    public TaskWaitEvent(com.bea.wli.worklist.api.TaskSelector taskSelector)

  Deprecated. Please use TaskWaitEvent(TaskQuery)

  The wait event is satisfied as soon as a single task matches the selector. This constructor uses the 8.1 task plan by default.

  Parameters:
    `taskSelector` - task selector identifying a single target task

### TaskWaitEvent

    public TaskWaitEvent(TargetTaskInfo taskEventInfo)

  The wait event is satisfied as soon as a single task matches the query.

  Parameters:
    `taskEventInfo` - info identifying the target task for this event

Method Detail

### setTaskSelector

    public void setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)

  Deprecated. Please use setTaskQuery(TaskQuery)

  The wait event is satisfied as soon as a single task matches the selector.

  Parameters:
    `taskSelector` - task selector identifying a single target task

### setTaskQuery

    public void setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)

  The wait event is satisfied as soon as a single task matches the query.

  Parameters:
    `taskQuery` -

### waitConditionSatisfied

    public boolean waitConditionSatisfied()

  The wait condition is satisfied only when a task matching the taskSelector is found.

  Specified by:
    `waitConditionSatisfied` in class `WaitEvent`
  Returns:
    true if the wait condition was satified and false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API